How I can add GDPR to my app with thunkable

What we Should do For GDPR
Google Share The SDK for Developpers
but what should we do If we Use Thunkable
thunkable will Make Update About GDPR we should Wait Or What ?

Isn’t GDPR managed by Play Store when users download the app?

In the information that is visible in the store you can set an link to a privacystatement. Every app should have that. There you can tell what information you are collecting from a user that installs your app.

1 Like


I Ask about admob, because it collects user information in order to display targeted ads,

1 Like

Thunkable developers must add this to there components.
Every User must have a choose to see personalized or non personalized ads.
Maybe too a third option called ad free.

We must wait until is next update with this option or we can use some extension

The ability to set your AdMob ads to be non-personalized will be deployed some time today, unless something unforeseen goes wrong.

-Mark

1 Like

The new version of app.thunkable.com has been deployed which supports the ability to set your AdMob ads to be non-personalized. Look for the PersonalizedAd property and blocks in the AdMob components.

It is up to you, the developer, to obtain the user’s consent by displaying a screen/dialog asking the user whether they want to see personalized or non-personalized ads. You would then use that information to set the PersonalizedAd property on your ads before loading them.

-Mark

1 Like

Thank you sir, but what about the consent?

Sorry, I thought the meaning of the new property was clear in the context of this topic but obviously it wasn’t.

It is up to you, the developer, to obtain the consent by displaying a screen/dialog asking the user whether they want to see personalized or non-personalized ads. You would then use that information to set the PersonalizedAd property on your ads before loading them.

-Mark

ParsonalezedAds0

Thanks for the heads up. We’ll take a look.

-Mark

1 Like

Thank you Mark

@Technologie_Programm do you use the latest companion, v3.34?

Wei

1 Like

The 3.33.
I will try to update it and download the latest version.

then what about using the latest version?
Taifun

1 Like

I will try to update it and download the latest version

After I installed the latest version, the error message disappeared